# applyPostStatStageChangeAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPostStatStageChangeAbAttrs

- applyPostStatStageChangeAbAttrs(
  attrType: Constructor < PostStatStageChangeAbAttr >,
  pokemon: default ,
  stats: (ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA)[],
  stages: number,
  selfTarget: boolean,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PostStatStageChangeAbAttr >
  - pokemon: default
  - stats: (ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA)[]
  - stages: number
  - selfTarget: boolean
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5996